Add in fails in Outlook

Add-in Express™ Support Service
That's what is more important than anything else

Add in fails in Outlook
 
Adam Toth




Posts: 24
Joined: 2005-03-08
Hi - having a few problems with an add-in - it works great in most places, but we have a few clients with whoom the add-in fails to load.

The install appears succesful, and the add-in appears in the Com Add-Ins dialog in Outlook but it is unticked. You cannot tick the box to load the add in. An error in the Event log appears as follows:

The eventID (0) in source (.NET runtime) cannot be found. The local computer message may not have the necessary registry information or the message DLL to display on a remote computer. The following information is part of the event, Unable to open Shim database version registry key - V2.0.50727.00000

Any ideas?
Posted 29 Nov, 2005 06:41:47 Top
Sergey Grischenko


Add-in Express team


Posts: 7205
Joined: 2004-07-05
Hi Adam.

Do you use Add-in Express for VS 2005?
Posted 29 Nov, 2005 07:22:33 Top
Adam Toth




Posts: 24
Joined: 2005-03-08
No, sorry should have said I am using VS 2003 with the previous version of Add-In Express(the one before 2.2)
Posted 29 Nov, 2005 07:24:55 Top
Sergey Grischenko


Add-in Express team


Posts: 7205
Joined: 2004-07-05
Adam, do your clients have both .NET Framework 1.1 and 2.0 installed on the same PCs?

By the way, I would suggest you to download a new version of Add-in Express from our website.
Posted 29 Nov, 2005 07:45:40 Top
Ray Smith


Guest


What different does it made if the both .NET Framework 1.1 and 2.0 installed on the same PCs?


Ray Smith
Posted 29 Nov, 2005 08:14:59 Top
Sergey Grischenko


Add-in Express team


Posts: 7205
Joined: 2004-07-05
In this case you should use the config file (Outlook.exe.config) to force Outlook to use an appropriate .NET Framework version.
You can read more about this issue using the following link:
http://msdn.microsoft.com/netframework/default.aspx?pull=/library/en-us/dnnetdep/html/netfxcompat.asp
Posted 29 Nov, 2005 10:15:55 Top
Adam Toth




Posts: 24
Joined: 2005-03-08
No - just the 1.1 framework on the pcs that are failing.
Posted 29 Nov, 2005 11:25:35 Top
Sergey Grischenko


Add-in Express team


Posts: 7205
Joined: 2004-07-05
It is very strange. I have noticed the following line in the error message: ..Unable to open Shim database version registry key - V2.0.50727.00000 ..

The v.2.0.50727.00000 is the lates version of .NET Framework.
Probably .NET v.2.0 had been installed on the PC once and then it was uninstalled incorrectly or incompletely. What do you think? Could your clients check in the 'Add or Remove Programs' dialog if the .NET Framework v.2.0 is installed?


Posted 29 Nov, 2005 12:25:40 Top
Adam Toth




Posts: 24
Joined: 2005-03-08
Yes they had version 2 originally, but this was removed and v 1.1 was installed. Maybe Outlook is still trying to use 2 even though it has been uninstalled?
Posted 01 Dec, 2005 09:12:31 Top
Adam Toth




Posts: 24
Joined: 2005-03-08
This seems to be a common factor in a few sites - where framework 2 has been installed, then removed and 1.1 installed, then the add-in wont work.
(Who said dll hell was over?)

I am updating to the latest version (for 1.1 framework) to see if this fixes it.

Is there anything I need to do in my Solution when I upgrade?
Posted 01 Dec, 2005 10:10:40 Top